# Role : docker_wikijs


## Services fournis

Installation de wikijs sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_wikijs_fqdn: wiki.libretic.fr
docker_wikijs_data_dir: /data1
docker_wikijs_service_id: wikijs
docker_wikijs_version: 2.5.299
docker_wikijs_db_name: wikijs
docker_wikijs_db_user: wikijsdbuser
docker_wikijs_db_password: mdp_de_wikijsdbuser
```

| Option                          | Valeur par défaut | Description                                                                               |
|---------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_wikijs_fqdn              |                   | Le nom de domaine pour lequel le service wikijs répond                                    |
| docker_wikijs_data_dir          |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_wikijs_service_id        |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_wikijs_version           |                   | Version de wikijs souhaitée                                                               |
| docker_wikijs_db_name           |                   | Nom de la base de données postgres pour wikijs                                            |
| docker_wikijs_db_user           |                   | Nom du user postgres propriétaire de la base de données                                   |
| docker_wikijs_db_password       |                   | Mot du passe du user postgres                                                             |
| docker_wikijs_custom_definition |                   | Applique une version specifique du fichier definition.yml pour openid connect             |



## Fichier definition.yml

Si docker_wikijs_custom_definition est true, le fichier definition.yml d'origine de wikijs est remplacé afin de modifier le nom des scopes openid. Surveiller les nouvelles versions de ce fichier dans les futures images et le corriger le cas échéant.

```
scopes:
  - profile
  - libreticMail
```


## Poursuite de l'installation dans wikijs

Après le premier lancement :
- créer le compte administrateur
- créer la configuration openid connect ; détails dans [le wiki libretic](https://wiki.libretic.fr)
